Bug 11699 - /etc/rc.d/init.d/squid shell script buggy ?
Summary: /etc/rc.d/init.d/squid shell script buggy ?
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: squid (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-26 22:02 UTC by Olivier Benghozi
Modified: 2014-03-17 02:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-26 22:02:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Olivier Benghozi 2000-05-26 22:02:42 UTC
In the 2.3.STABLE2-5 version of /etc/rc.d/init.d/squid shellscript, I
think there is a bug in find the squid spool directory. It uses this:

# determine which one is the cache_swap directory
CACHE_SWAP=`sed -e 's/#.*//g' /etc/squid/squid.conf | \
	grep cache_dir | sed -e 's/cache_dir//' | \
	awk '{ print $3 }'`

Here, the result of this is: 1024

I think this would work better:

CACHE_SWAP=`sed -e 's/#.*//g' /etc/squid/squid.conf | \
	grep cache_dir | awk '{ print $3 }'`


Result here is: /var/spool/squid

Much better for a "CACHE_SWAP" parameter.

Comment 1 Bill Nottingham 2000-05-31 21:58:50 UTC
Hrm, yes. Fixed in squid-2.3.stable3-1.



Note You need to log in before you can comment on or make changes to this bug.